Get a Log Entry - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/v2.1/projects/{projectId}/logs/{logEntryId}
Try it
Get a Log Entry
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs/{logEntryId} \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs/{logEntryId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs/{logEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs/{logEntryId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.1/projects/{projectId}/logs/{logEntryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
HTTP Status Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Response Body
Success Response (200)
{
"_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"msg": "<string>",
"meta": {},
"traceId": "<string>"
}
Error Response Example (400)
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Path Parameters
- projectId: (string) required
The unique identifier for the Project.
- logEntryId: (string) required
The Id of the Log Entry
Authorizations
- APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Headers
| Header | Type | Description |
|---|---|---|
| X-API-Key | string | Supply the API Key in the HTTP-Header |
Available options for Accept header
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Additional Notes
- Last modified on July 8, 2026.